Bug 494061 - Kernel update complains of non-existing default plymouth plugin
Kernel update complains of non-existing default plymouth plugin
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
10
i686 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 18:26 EDT by Tim Landscheidt
Modified: 2009-12-18 04:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:11:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Landscheidt 2009-04-03 18:26:21 EDT
While updating my system with yum:

| [...]
| Lade Pakete herunter:        
| (1/10): rpmorphan-1.4-5.fc10.noarch.rpm                                                                                               |  53 kB     00:00     
| (2/10): kernel-firmware-2.6.27.21-170.2.56.fc10.noarch.rpm                                                                            | 369 kB     00:03     
| (3/10): kernel-headers-2.6.27.21-170.2.56.fc10.i386.rpm                                                                               | 764 kB     00:03     
| (4/10): netpbm-10.35.61-1.fc10.i386.rpm                                                                                               | 839 kB     00:03     
| (5/10): netpbm-progs-10.35.61-1.fc10.i386.rpm                                                                                         | 1.8 MB     00:10     
| (6/10): opencv-1.0.0-10.fc10.i386.rpm                                                                                                 | 2.5 MB     00:10     
| (7/10): gnupg2-2.0.10-1.fc10.i386.rpm                                                                                                 | 2.6 MB     00:10     
| (8/10): kipi-plugins-0.2.0-2.fc10.i386.rpm                                                                                            | 4.7 MB     00:18     
| (9/10): kernel-devel-2.6.27.21-170.2.56.fc10.i686.rpm                                                                                 | 5.5 MB     00:21     
| (10/10): kernel-2.6.27.21-170.2.56.fc10.i686.rpm                                                                                      |  19 MB     01:15     
| -------------------------------------------------------------------------------------------------------------------------------------------------------------
| Total                                                                                                                        243 kB/s |  38 MB     02:39     
| Führe rpm_check_debug durch                                                                                                                                  
| Führe Verarbeitungsstest durch                                                                                                                               
| Verarbeitungstest beendet                                                                                                                                    
| Verarbeitungstest erfolgreich                                                                                                                                
| Führe Verarbeitung durch                                                                                                                                     
|   Aktualisieren  : netpbm                                                                                                                               1/17 
|   Installieren   : opencv                                                                                                                               2/17 
|   Aktualisieren  : kipi-plugins                                                                                                                         3/17
|   Aktualisieren  : netpbm-progs                                                                                                                         4/17
|   Aktualisieren  : gnupg2                                                                                                                               5/17
|   Aktualisieren  : kernel-firmware                                                                                                                      6/17
|   Installieren   : kernel                                                                                                                               7/17
| The default plymouth plugin (.so) doesn't exist
|   Installieren   : kernel-devel                                                                                                                         8/17
|   Aktualisieren  : kernel-headers                                                                                                                       9/17
|   Aktualisieren  : rpmorphan                                                                                                                           10/17
|   Aufräumen      : kipi-plugins                                                                                                                        11/17
|   Aufräumen      : gnupg2                                                                                                                              12/17
|   Aufräumen      : netpbm-progs                                                                                                                        13/17
|   Aufräumen      : kernel-headers                                                                                                                      14/17
|   Aufräumen      : kernel-firmware                                                                                                                     15/17
|   Aufräumen      : netpbm                                                                                                                              16/17
|   Aufräumen      : rpmorphan                                                                                                                           17/17
| 
| Installiert:
|   kernel.i686 0:2.6.27.21-170.2.56.fc10                                      kernel-devel.i686 0:2.6.27.21-170.2.56.fc10
| 
| Abhängigkeit installiert:
|   opencv.i386 0:1.0.0-10.fc10
| 
| Aktualisiert:
|   gnupg2.i386 0:2.0.10-1.fc10               kernel-firmware.noarch 0:2.6.27.21-170.2.56.fc10          kernel-headers.i386 0:2.6.27.21-170.2.56.fc10
|   kipi-plugins.i386 0:0.2.0-2.fc10          netpbm.i386 0:10.35.61-1.fc10                             netpbm-progs.i386 0:10.35.61-1.fc10
|   rpmorphan.noarch 0:1.4-5.fc10
| 
| Komplett!
| [tim@lockfix ~/Desktop/Agenda]$

the kernel part complained that the default plymouth plugin does not exist. This does not sound right :-) (and rather frightening - I hope the machine will reboot).
Comment 1 Tim Landscheidt 2009-04-04 06:47:08 EDT
The machine came up again with no problems, and /var/log/boot.log shows no error at all. Still, the message should be investigated.
Comment 2 Chuck Ebbert 2009-04-10 19:48:58 EDT
The message is from /usr/libexec/plymouth/plymouth-populate-initrd
Comment 3 Bug Zapper 2009-11-18 07:48:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:11:36 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.